<?php
  require_once '../models/SessionModel.php';
  

class SessionController{

	public function __construct(){
       $this->sessionModel = new Session_model();
       
       
	}

	public function limpiar_cadena($cadena){
		$cadena = trim($cadena);
		$cadena = stripcslashes($cadena);
		$cadena = str_ireplace("<script>","",$cadena);
		$cadena = str_ireplace("</script>","",$cadena);
		$cadena = str_ireplace("<script src","",$cadena);
		$cadena = str_ireplace("<script type=","",$cadena);
		$cadena = str_ireplace("SELECT * FROM","",$cadena);
		$cadena = str_ireplace("DELETE FROM","",$cadena);
		$cadena = str_ireplace("INSERT INTO","",$cadena);
		$cadena = str_ireplace("DROP TABLE","",$cadena);
		$cadena = str_ireplace("DROP DATABASE","",$cadena);
		$cadena = str_ireplace("TRUNCATE TABLE","",$cadena);
		$cadena = str_ireplace("SHOW TABLES","",$cadena);
		$cadena = str_ireplace("SHOW DATABASES","",$cadena);
		$cadena = str_ireplace("<?php","",$cadena);
		$cadena = str_ireplace("?>","",$cadena);
		$cadena = str_ireplace("--","",$cadena);
		$cadena = str_ireplace("^","",$cadena);
		$cadena = str_ireplace("<","",$cadena);
		$cadena = str_ireplace("[","",$cadena);
		$cadena = str_ireplace("]","",$cadena);
		$cadena = str_ireplace("==","",$cadena);
		$cadena = str_ireplace(";","",$cadena);
		$cadena = str_ireplace("::","",$cadena);
		$cadena = trim($cadena);
		$cadena = stripcslashes($cadena);

		return $cadena;
	}

	public function sign_in($user,$password){
		
	  $error['status'] = false;

	  

      $user = $this->limpiar_cadena($user);

      //$pass=substr(md5($password),0,8);
      $pass=$password;
      $query = $this->sessionModel->sign_in($user,$pass);
      
      if($query['status']){
      	$idUsuario=$query['id'];
      	$userrol=$query['user_role'];
      	$username=$query['username'];
      	

	       
		    @session_start();

		    
		    $_SESSION["idUsuario"] = $idUsuario;
		    $_SESSION["userrol"] = $userrol;
		    $_SESSION["username"] = $username;
				
		    $error['status'] = true; 
      }

      return $error;
	}

	public function nuevo_user($taccion,$idUsuario,$userrol,$tipo_accio,$tipo_user,$rfc_user,$nom_user,$pass_user,$estatus,$id_prov,$correo,$cel)
    {	

    		$password_encode = md5($pass_user);

    	  if($taccion==1){
    	  		$usuarios = $this->sessionModel->get_guardar_usuario($taccion,$idUsuario,$userrol,$tipo_accio,$tipo_user,$rfc_user,$nom_user,$password_encode,$estatus,$correo,$cel);
    	  		$mensaje="¡Se guardo el registro correctamente!";
    	   }

    	   if($taccion==2){
        		$usuarios = $this->sessionModel->get_update_usuario($taccion,$idUsuario,$userrol,$tipo_accio,$tipo_user,$rfc_user,$nom_user,$password_encode,$estatus,$id_prov,$correo,$cel);

        		$mensaje="¡Se actualizo el registro correctamente!";
         }


         if($usuarios){
            $respuesta['type'] = 1;
            $respuesta['mensaje'] = $mensaje;
            $respuesta['status']=true;
        }else{
            
            $respuesta['type'] = 3;
            $respuesta['mensaje'] = '¡Error al guardar el registro!';
            $respuesta['status']=false;
            
        }

        return $respuesta;
    }

	
}












